<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Resource Management Client API</title>
    <filename>main</filename>
    <docanchor>globus_gram_client_main</docanchor>
  </compound>
  <compound kind="struct">
    <name>globus_gram_client_job_info_s</name>
    <filename>structglobus__gram__client__job__info__s.html</filename>
    <member kind="variable">
      <type>globus_hashtable_t</type>
      <name>extensions</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>job_contact</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>job_state</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>protocol_error_code</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>globus_gram_resource_manager_contact</name>
    <title>Resource Manager Contact</title>
    <filename>globus_gram_resource_manager_contact</filename>
  </compound>
  <compound kind="group">
    <name>globus_gram_client_callback</name>
    <title>Job state callbacks</title>
    <filename>group__globus__gram__client__callback.html</filename>
    <class kind="struct">globus_gram_client_job_info_s</class>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gram_client_callback_func_t</name>
      <anchor>a0</anchor>
      <arglist>)(void *user_callback_arg, char *job_contact, int state, int errorcode)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_gram_client_job_info_s</type>
      <name>globus_gram_client_job_info_t</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gram_client_info_callback_func_t</name>
      <anchor>a2</anchor>
      <arglist>)(void *user_callback_arg, const  char *job_contact, globus_gram_client_job_info_t *job_info)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gram_client_nonblocking_func_t</name>
      <anchor>a3</anchor>
      <arglist>)(void *user_callback_arg, globus_gram_protocol_error_t operation_failure_code, const  char *job_contact, globus_gram_protocol_job_state_t job_state, globus_gram_protocol_error_t job_failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_callback_allow</name>
      <anchor>a4</anchor>
      <arglist>(globus_gram_client_callback_func_t callback_func, void *user_callback_arg, char **callback_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_info_callback_allow</name>
      <anchor>a5</anchor>
      <arglist>(globus_gram_client_info_callback_func_t callback_func, void *user_callback_arg, char **callback_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_callback_disallow</name>
      <anchor>a6</anchor>
      <arglist>(char *callback_contact)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_client_job_functions</name>
    <title>GRAM Job Functions</title>
    <filename>group__globus__gram__client__job__functions.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_ping</name>
      <anchor>a0</anchor>
      <arglist>(const  char *resource_manager_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_ping</name>
      <anchor>a1</anchor>
      <arglist>(const  char *resource_manager_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_get_jobmanager_version</name>
      <anchor>a2</anchor>
      <arglist>(const  char *resource_manager_contact, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_request</name>
      <anchor>a3</anchor>
      <arglist>(const  char *resource_manager_contact, const  char *description, int job_state_mask, const  char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_request</name>
      <anchor>a4</anchor>
      <arglist>(const  char *resource_manager_contact, const  char *description, int job_state_mask, const  char *callback_contact, char **job_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_request_with_info</name>
      <anchor>a5</anchor>
      <arglist>(const  char *resource_manager_contact, const  char *description, int job_state_mask, const  char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_info_callback_func_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_request_with_info</name>
      <anchor>a6</anchor>
      <arglist>(const  char *resource_manager_contact, const  char *description, int job_state_mask, const  char *callback_contact, char **job_contact, globus_gram_client_job_info_t *info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_cancel</name>
      <anchor>a7</anchor>
      <arglist>(const  char *job_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_cancel</name>
      <anchor>a8</anchor>
      <arglist>(const  char *job_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_signal</name>
      <anchor>a9</anchor>
      <arglist>(const  char *job_contact, globus_gram_protocol_job_signal_t signal, const  char *signal_arg, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_signal</name>
      <anchor>a10</anchor>
      <arglist>(const  char *job_contact, globus_gram_protocol_job_signal_t signal, const  char *signal_arg, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_status</name>
      <anchor>a11</anchor>
      <arglist>(const  char *job_contact, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_status</name>
      <anchor>a12</anchor>
      <arglist>(const  char *job_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_status_with_info</name>
      <anchor>a13</anchor>
      <arglist>(const  char *job_contact, globus_gram_client_attr_t attr, globus_gram_client_info_callback_func_t info_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_status_with_info</name>
      <anchor>a14</anchor>
      <arglist>(const  char *job_contact, globus_gram_client_job_info_t *info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_callback_register</name>
      <anchor>a15</anchor>
      <arglist>(const  char *job_contact, int job_state_mask, const  char *callback_contact, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_callback_unregister</name>
      <anchor>a16</anchor>
      <arglist>(const  char *job_contact, const  char *callback_contact, int *job_status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_refresh_credentials</name>
      <anchor>a17</anchor>
      <arglist>(char *job_contact, gss_cred_id_t creds)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_refresh_credentials</name>
      <anchor>a18</anchor>
      <arglist>(char *job_contact, gss_cred_id_t creds, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_callback_registration</name>
      <anchor>a19</anchor>
      <arglist>(const  char *job_contact, int job_state_mask, const  char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_register_job_callback_unregistration</name>
      <anchor>a20</anchor>
      <arglist>(const  char *job_contact, const  char *callback_contact, globus_gram_client_attr_t attr, globus_gram_client_nonblocking_func_t register_callback, void *register_callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_client</name>
    <title>Other GRAM Client Functions</title>
    <filename>group__globus__gram__client.html</filename>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_client_debug</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_version</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_set_credentials</name>
      <anchor>a2</anchor>
      <arglist>(gss_cred_id_t new_credentials)</arglist>
    </member>
    <member kind="function">
      <type>const  char *</type>
      <name>globus_gram_client_error_string</name>
      <anchor>a3</anchor>
      <arglist>(int error_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_job_contact_free</name>
      <anchor>a4</anchor>
      <arglist>(char *job_contact)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_client_job_info_destroy</name>
      <anchor>a5</anchor>
      <arglist>(globus_gram_client_job_info_t *info)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_client_attr</name>
    <title>GRAM Client Attribute Functions</title>
    <filename>group__globus__gram__client__attr.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GRAM_CLIENT_NO_ATTR</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void *</type>
      <name>globus_gram_client_attr_t</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_init</name>
      <anchor>a1</anchor>
      <arglist>(globus_gram_client_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_destroy</name>
      <anchor>a2</anchor>
      <arglist>(globus_gram_client_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_set_credential</name>
      <anchor>a3</anchor>
      <arglist>(globus_gram_client_attr_t attr, gss_cred_id_t credential)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_get_credential</name>
      <anchor>a4</anchor>
      <arglist>(globus_gram_client_attr_t attr, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_set_delegation_mode</name>
      <anchor>a5</anchor>
      <arglist>(globus_gram_client_attr_t attr, globus_io_secure_delegation_mode_t mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_client_attr_get_delegation_mode</name>
      <anchor>a6</anchor>
      <arglist>(globus_gram_client_attr_t attr, globus_io_secure_delegation_mode_t *mode)</arglist>
    </member>
  </compound>
</tagfile>
